Subject: Re: [PATCH -next] trace_skb: fix build when CONFIG_NET is not enabled

From: Ingo Molnar <[email-masked]>
Date: Tue, 18 Aug 2009 14:13:52 +0200

* David Miller <[email-masked]> wrote:

> From: Ingo Molnar <[email-masked]>
> Date: Tue, 18 Aug 2009 01:06:54 +0200
> 
> > ... but these are the wrong patches, they should be removed or 
> > reverted and redone properly.
> 
> Given the number of users of net-next-2.6, removal via rebasing 
> is simply not an option.  The other two posibilities, sure...
> 
> > It's not just about keeping kernel/trace/* changes in the 
> > tracing tree (which we can relax on-demand given agreement), 
> > it's that these patches are also _wrong_ and we cannot relax 
> > anything about that.
> 
> Why don't we give Neil a chance to review the situation and fix 
> things up?
> 
> If revert is the final decision, that's fine, I'll revert 
> everything.
> 
> But in the mean time at least give Neil a chance to read all of 
> your feedback and coordinate a way to fix things with everyone.

Oh, sure. Conversion to TRACE_EVENT() is equivalent to the revert 
of the current patches plus introduction of the TRACE_EVENT() 
defines.

	Ingo